
#ifndef DSHAlertItem_h
#define DSHAlertItem_h


/*---------------------------------------------------------------------------
**
*/
namespace DSH {

/*---------------------------------------------------------------------------
**
*/
/*! \brief Example bug */
class DSHAlertItem 
{

public:
	/*! \brief Request physical refresh of this item.
	**
	** This text should not be treated as a code block, since it
	** isn't indented by 4 spaces relative to the last para or
	** the comment.
	**
	** Sadly though, it is.
	**
	** Only setting TAB_SIZE to 1 stops it happening.
	** 
	** \return	True if the status is successfully updated, false otherwise
	*/	
	virtual bool physicalRefresh();
	
};

}


#endif /* DSHAlertItem_h */



/*---------------------------------------------------------------------------
** End of File
*/


